<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Overlay Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e694fb90f0c626c2fb4e7dfc65f97448">_findVisibleObjects</a>(Camera *cam, RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#928762f6c7c24583e092ff61e52e941a">_getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e48bf2a6596b514f95e9d3a437d8e1e0">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#702b15ebaa6d3f8dbb2918500b76c9f0">add2D</a>(OverlayContainer *cont)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#296d54af42cc05fddd20e07b5209ab1a">add3D</a>(SceneNode *node)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#81c8a84fa283a0341a8c14b6c8168ccb">clear</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#af8b4bc3c953b8eeaf5ce8e6f3bfac9f">findElementAt</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#659220630fe743a8359455f31640b465">get2DElementsIterator</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#5d12ab2635efc92de84fece5ae97ed5a">getChild</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#abe5ca1ccdcf2f813f6b3c76bfc1e431">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#7b04bcdbc67a779836cbbf04dd1e21ff">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#dddd063aa2b50cbf00f9b2a96f4e16b6">getRotate</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#c0206725a1be8a317529b31e750c500c">getScaleX</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#71265386a6190f91c79e8ca2c657fcd4">getScaleY</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#d6d4a3b5f733a30ba86f7b119d0fe0e6">getScrollX</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#f5627552bfa34c5fac0d348e2548794b">getScrollY</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a2b7f65f3c094857d90cda5aa7730f3e">getWorldOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#988cf0d123e38ed6ae172bed23ee15db">getWorldPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#f1c179ff9599e3cde15e32d580655f48">getZOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#b210b07a317329bb66df4e674de2a367">hide</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e2d469b158f4db3064c33051791876bb">initialise</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#5680b79c15b1f810c0f3bf93541994fb">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#455ff8e472ec649d4d1c04132b6ae6e9">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#7092a701bd3064f4d37ed107a38d3af5">m2DElements</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e9d25c8decc42d2369c437dd45d337c1">mInitialised</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#f3f2cf5abee8dfa0c4a405fc4def8090">mName</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#cc986bc34b6e22883cb941378b068f8b">mOrigin</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#09e2075d2d0be9ca8e1c82ff1b4bbd4f">mRootNode</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#cfea58e14ec720e91320d16f40d72dd2">mRotate</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#841135f08c6791e7006ad4b99a0c6459">mScaleX</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#918d0776ae24dae53716e6e2fa01524b">mScaleY</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#7f31ad43e6ae56223bcb4b0f419dec53">mScrollX</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#18010a80c39421d071b5d159f166a8f0">mScrollY</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#2ef3578f72ef61935cd55529598eaf98">mTransform</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#c70a9397e1355a83237e7b2e05416017">mTransformOutOfDate</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#681c81ead2967a473100495dac9b82ab">mTransformUpdated</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#a8c41f39e68f82a6e4d9f7b080e3eb08">mVisible</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#0671899a71d5ed5ca4973e236b77b75e">mZOrder</a></td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#8d6c54081ea142edf528d4253f32a913">Overlay</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a> typedef</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#5c6182483591872da63ac4cea94671af">remove2D</a>(OverlayContainer *cont)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#2ff5331b691cd4f07ee66e63f237baef">remove3D</a>(SceneNode *node)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#8282553a59253170ddd0488ab7179792">rotate</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e07b1a57498aad0299f0781b09ca9b39">scroll</a>(Real xoff, Real yoff)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#69d5f4c12c15f00efc7818d201e02e86">setRotate</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#dea3b88baa3697a657e7b5785f0ffedb">setScale</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#e268ad3250bac5058c6d08e00c060289">setScroll</a>(Real x, Real y)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#5d8481d5fa0990846e53345f1a1cc705">setZOrder</a>(ushort zorder)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#3c565f3e5cf61f43fa33542d713e8ccf">show</a>(void)</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#299bf0150c79f7247663d795cc3adf23">updateTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Overlay.html#5a4051af0e9d239f4cb3d03f092565c3">~Overlay</a>()</td><td><a class="el" href="classOgre_1_1Overlay.html">Ogre::Overlay</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:02 2008
</p>
</body>
</html>
